# class CollectionModifyJob

###

Module | akonadi
Namespace | Akonadi
Class | CollectionModifyJob
Inherits | Akonadi::Job

Job that modifies a collection in the Akonadi storage.

This job modifies the properties of an existing collection.

    Akonadi.Collection collection = ...

    Akonadi.CollectionModifyJob *job = new Akonadi.CollectionModifyJob( collection );

    if ( job->exec() )
    qDebug() << "Modified successfully";
    else
    qDebug() << "Error occurred";

Author Volker Krause <vkrause@kde.org>

### methods

- CollectionModifyJob (collection, parent)

  returns ctor

  Argument | Type | Default
  --- | --- | ---
  collection | Akonadi.Collection |
  parent | QObject | 0

  Creates a new collection modify job for the given collection.

  collection - The collection to modify.

  parent - The parent object.

- doStart ( )

  returns Nothing